docker-build:
  image: gcr.io/kaniko-project/executor:debug
  stage: build
  variables:
    DOCKER_IMAGE_NAME: olytest/hermione-fe:$CI_COMMIT_SHORT_SHA
    VITE_BACKEND_URL: http://olympus-api-gateway-aks.olympusai.live/hermione
  before_script:
    - >
      echo  '{
        "auths": {
          "https://index.docker.io/v1/": {
            "auth": "b2x5dGVzdDpkY2tyX3BhdF9ZUFBCa21IVlVkbmx4R3dLT0t1TEtmQ1RTVTg="
          }
        }
      } ' >> /kaniko/.docker/config.json
  script:
     - /kaniko/executor
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/Dockerfile"
      --destination "${DOCKER_IMAGE_NAME}"
      --build-arg "VITE_BACKEND_URL=${VITE_BACKEND_URL}"
  # Run this job in a branch where a Dockerfile exists
  rules:
    - if: $CI_COMMIT_BRANCH
      exists:
        - Dockerfile
  tags:
    - OLYMPUS
